#!/usr/bin/env fish

# copy regular files
mkdir -p \
   applications \
   build-system \
   network \
   scripts \
   system \
   themes \
   vim

while read f t
   eval set t $t
   cp -r $t $f
end < files

# copy vim package names
tree -dL 3 ~/.vim/pack > vim/packages

pushd
for repo in ~/.vim/pack/*/*/*
   cd $repo
   echo (basename $PWD) "<"(git config --get remote.origin.url)">"
end > vim/package_repos
popd

sed -i 's/password>.*<\//password>password removed<\//g' network/icecast.xml
sed -i 's/password\(\s*\)".*"/password\1"password removed"/g' network/mpd.conf
